import { Entity, Column, PrimaryColumn, PrimaryGeneratedColumn } from "typeorm"

@Entity({ name: 'ticket' })
export class Ticket {

    @PrimaryGeneratedColumn()
    // @PrimaryColumn("int")
    id!: number
    
    @Column("varchar")
    category_of_request! : string
    
    @Column("varchar")
    nature_of_request! : string

    // @Column({type: 'jsonb',nullable:true})
    // issue: any
    @Column({type: 'text',nullable:true})
    additional_info: any

    @Column("varchar")
    message!: string

    @Column('varchar')
    created_by! : string

    @Column('varchar')
    created_date! : string

    @Column({type: 'varchar',nullable:true})
    assign_by! :string
    
}