import { Entity, Column, PrimaryColumn } from "typeorm"

@Entity({ name: 'user' })
export class User {

    @PrimaryColumn("int")
    id!: number

    @Column("bigint")
    bank_account_no!: number

    @Column("varchar")
    title!: string

    @Column("varchar")
    first_name!: string

    @Column("varchar")
    middle_name!: string

    @Column("varchar")
    last_name!: string

    @Column("bigint",{nullable:true})
    mobile_number!: number
    
}