import AppDataSource from '@/app/_data/source/app-data-source'
import { TableColumn } from 'typeorm';

export async function GET(request: Request) {

    try {

        const connection = await AppDataSource.getMantisConnection();
        //const userRepo = connection.getRepository(User);
        const queryRunner =connection.createQueryRunner();
        await queryRunner.connect();
        await queryRunner.addColumn("kccb_bug_text",new TableColumn(
            {
                name : "information",
                type: "jsonb",
                isNullable: true,
            }
        ))

        return Response.json("column added.");

    } 
    catch (error) {
        console.error(error);
        return Response.json(null, { status: 500 })
    }
}
