import { SessionOptions } from "iron-session";

export default function getSessionOptions(): SessionOptions {

    const sessionOptions: SessionOptions = {
        cookieName: process.env.SESSION_COOKIE_NAME ?? "",
        password: process.env.SESSION_COOKIE_PASSWORD ?? "",
        cookieOptions: {
            // httpOnly: true,
            secure: false, // false in local (non-HTTPS) development | true in production (if HTTPS)
            // sameSite: "lax",// https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/Set-Cookie/SameSite#lax
            // maxAge: (ttl === 0 ? 2147483647 : ttl) - 60, // Expire cookie before the session expires.
            // path: "/",
        }
    }

    return sessionOptions;
}